## rtaudio 4.1.1~ds0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.10)
project(RtAudio)

include(CTest)
include(CheckFunctionExists)

option(BUILD_PYTHON "Build PyRtAudio python bindings" OFF)
option(AUDIO_WINDOWS_DS "Build Windows DirectSound API" OFF)
option(AUDIO_WINDOWS_ASIO "Build Windows ASIO API" OFF)
option(AUDIO_WINDOWS_WASAPI "Build Windows WASAPI API" OFF)
option(AUDIO_LINUX_OSS "Build Linux OSS API" OFF)
option(AUDIO_LINUX_ALSA "Build Linux ALSA API" OFF)
option(AUDIO_LINUX_PULSE "Build Linux PulseAudio API" OFF)
option(AUDIO_UNIX_JACK "Build Unix JACK audio server API" OFF)
option(AUDIO_OSX_CORE "Build Mac OSX CoreAudio API" OFF)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions(-D__RTAUDIO_DEBUG__)
endif ()

check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)

if (HAVE_GETTIMEOFDAY)
    add_definitions(-DHAVE_GETTIMEOFDAY)
endif ()

if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif (CMAKE_COMPILER_IS_GNUCXX)

set(rtaudio_SOURCES RtAudio.cpp)

set(LINKLIBS)
if (CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*")
    message(STATUS "NetBSD detected, using OSS")
    find_package(Threads REQUIRED CMAKE_THREAD_PREFER_PTHREAD)
    list(APPEND LINKLIBS ossaudio ${CMAKE_THREAD_LIBS_INIT})
    set(AUDIO_LINUX_OSS ON)
elseif (UNIX AND NOT APPLE)
    if (NOT AUDIO_LINUX_PULSE AND NOT AUDIO_LINUX_ALSA AND NOT AUDIO_LINUX_OSS AND NOT AUDIO_UNIX_JACK)
        set(AUDIO_LINUX_ALSA ON)
    endif()

    if (AUDIO_LINUX_PULSE)
        find_library(PULSE_LIB pulse)
        find_library(PULSESIMPLE_LIB pulse-simple)
        list(APPEND LINKLIBS ${PULSE_LIB} ${PULSESIMPLE_LIB})
        add_definitions(-D__LINUX_PULSE__)
        message(STATUS "Using Linux PulseAudio")
    endif (AUDIO_LINUX_PULSE)
    if (AUDIO_LINUX_ALSA)
        find_package(ALSA)
        find_package(Threads REQUIRED CMAKE_THREAD_PREFER_PTHREAD)
        if (NOT ALSA_FOUND)
            message(FATAL_ERROR "ALSA API requested but no ALSA dev libraries found")
        endif()
        add_defines(${ALSA_INCLUDE_DIR})
        list(APPEND LINKLIBS ${ALSA_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
        add_definitions(-D__LINUX_ALSA__)
        message(STATUS "Using Linux ALSA")
    endif (AUDIO_LINUX_ALSA)
endif ()

if (APPLE)
    if (NOT AUDIO_OSX_CORE AND NOT AUDIO_UNIX_JACK)
        set(AUDIO_OSX_CORE ON)
    endif()

    if (AUDIO_OSX_CORE)
        find_library(COREAUDIO_LIB CoreAudio)
        find_library(COREFOUNDATION_LIB CoreFoundation)
        list(APPEND LINKLIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB})
        add_definitions(-D__MACOSX_CORE__)
        message(STATUS "Using OSX CoreAudio")
    endif (AUDIO_OSX_CORE)
endif (APPLE)

# JACK supported on many Unices
if (UNIX)
    if (AUDIO_UNIX_JACK)
        find_library(JACK_LIB jack)
        list(APPEND LINKLIBS ${JACK_LIB})
        add_definitions(-D__UNIX_JACK__)
        message(STATUS "Using JACK")
    endif (AUDIO_UNIX_JACK)
endif (UNIX)

if (WIN32)
    if (NOT AUDIO_WINDOWS_DS AND NOT AUDIO_WINDOWS_ASIO AND NOT AUDIO_WINDOWS_WASAPI)
        set(AUDIO_WINDOWS_WASAPI ON)
    endif()

    include_directories(include)
    list(APPEND LINKLIBS winmm ole32)

    if (AUDIO_WINDOWS_DS)
        add_definitions(-D__WINDOWS_DS__)
        message(STATUS "Using Windows DirectSound")
        list(APPEND LINKLIBS dsound)
    endif (AUDIO_WINDOWS_DS)
    if (AUDIO_WINDOWS_WASAPI)
        add_definitions(-D__WINDOWS_WASAPI__)
        message(STATUS "Using Windows WASAPI")
        list(APPEND LINKLIBS uuid ksuser)
    endif (AUDIO_WINDOWS_WASAPI)
    if (AUDIO_WINDOWS_ASIO)
        list(APPEND rtaudio_SOURCES
            include/asio.cpp
            include/asiodrivers.cpp
            include/asiolist.cpp
            include/iasiothiscallresolver.cpp)
        add_definitions(-D__WINDOWS_ASIO__)
        message(STATUS "Using Windows ASIO")
    endif (AUDIO_WINDOWS_ASIO)
endif (WIN32)

add_library(rtaudio SHARED ${rtaudio_SOURCES})
add_library(rtaudio_static STATIC ${rtaudio_SOURCES})

target_link_libraries(rtaudio ${LINKLIBS})

if (BUILD_TESTING)
    add_subdirectory(tests)
endif (BUILD_TESTING)

## rtaudio 4.0.10~ds0

=== debian/changelog ===
rtaudio (4.0.10~ds0-2) unstable; urgency=low

  * Don't build static library at all; this change should also fix FTBFS
    on most architectures.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jan 2012 00:14:38 +0100

rtaudio (4.0.10~ds0-1) unstable; urgency=low

  * Initial release. (Closes: #609240)

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 Jan 2012 09:26:55 +0100

=== debian/control ===
Source: rtaudio
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 8.1.3~),
 dh-autoreconf,
 libasound2-dev,
 libjack-dev
Standards-Version: 3.9.2
Homepage: http://www.music.mcgill.ca/~gary/rtaudio/
Vcs-Git: git://git.debian.org/pkg-multimedia/rtaudio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtaudio.git

Package: librtaudio4
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: C++ library for realtime audio input/ouput
 RtAudio is a set of C++ classes that provides a common API (Application
 Programming Interface) for realtime audio input/output across Linux
 (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
 (DirectSound and ASIO) operating systems. RtAudio significantly
 simplifies the process of interacting with computer audio hardware. It
 was designed with the following objectives:
 .
  * object-oriented C++ design
  * simple, common API across all supported platforms
  * only one source and two header files for easy inclusion in
    programming projects
  * allow simultaneous multi-api support
  * support dynamic connection of devices
  * provide extensive audio device parameter control
  * allow audio device capability probing
  * automatic internal conversion for data format, channel number
    compensation, (de)interleaving, and byte-swapping
 .
 RtAudio incorporates the concept of audio streams, which represent audio
 output (playback) and/or input (recording). Available audio devices and
 their capabilities can be enumerated and then specified when opening a
 stream.
 .
 This package provides the shared library.

Package: librtaudio-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libasound2-dev,
 libjack-dev,
 librtaudio4 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 librtmidi-dev
Description: C++ library for realtime audio input/ouput (development files)
 RtAudio is a set of C++ classes that provides a common API (Application
 Programming Interface) for realtime audio input/output across Linux
 (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
 (DirectSound and ASIO) operating systems. RtAudio significantly
 simplifies the process of interacting with computer audio hardware.
 .
 This package provides the development files.

Package: librtaudio-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 librtaudio4 (= ${binary:Version}),
 ${misc:Depends}
Description: C++ library for realtime audio input/ouput (debugging symbols)
 RtAudio is a set of C++ classes that provides a common API (Application
 Programming Interface) for realtime audio input/output across Linux
 (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
 (DirectSound and ASIO) operating systems. RtAudio significantly
 simplifies the process of interacting with computer audio hardware.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH=$(CURDIR)/debian/repack.sh
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CONFIGURE_FLAGS = --enable-debug --with-jack

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS += -O0
else
export CFLAGS += -O2
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_FLAGS += --with-alsa
else
CONFIGURE_FLAGS += --with-oss
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html doc/images

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_strip:
	dh_strip --dbg-package=librtaudio-dbg

override_dh_auto_install:
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p debian/tmp/usr/include
	for file in `ls librtaudio.so*`; do \
	   cp -d $$file debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ ; \
	done
	install *.h debian/tmp/usr/include

get-orig-source:
	uscan --force-download

## rtaudio 4.0.11~ds0

=== debian/changelog ===
rtaudio (4.0.11~ds0-2ubuntu1) raring; urgency=low

  * Modified 0001-buildsystem.patch to link against libpulse, too, since
    the binary uses a function in it - resolves FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 18 Feb 2013 15:23:56 -0500

rtaudio (4.0.11~ds0-2) experimental; urgency=low

  * Add support for powerpc64 builds.
    Thanks to Hiroyuki Yamamoto for the patch. (Closes: #693590)

 -- Alessio Treglia <alessio@debian.org>  Sun, 18 Nov 2012 10:52:15 +0000

rtaudio (4.0.11~ds0-1) experimental; urgency=low

  * Imported Upstream version 4.0.11~ds0:
    - Fix memory leak with ALSA
    - Avoid hung state with JACK.
    - Add PulseAudio support.
  * Refresh 0001-buildsystem.patch.
  * Enable PulseAudio support.
  * debian/control:
    - Build on linux only.
    - Build-Depends on libpulse-dev.
    - Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 18 Jul 2012 11:38:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,23 @@
 Source: rtaudio
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  debhelper (>= 8.1.3~),
  dh-autoreconf,
  libasound2-dev,
- libjack-dev
-Standards-Version: 3.9.2
+ libjack-dev,
+ libpulse-dev
+Standards-Version: 3.9.3
 Homepage: http://www.music.mcgill.ca/~gary/rtaudio/
 Vcs-Git: git://git.debian.org/pkg-multimedia/rtaudio.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtaudio.git
 
 Package: librtaudio4
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
@@ -49,7 +51,7 @@
 
 Package: librtaudio-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends:
  libasound2-dev,
@@ -71,7 +73,7 @@
 Package: librtaudio-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends:
  librtaudio4 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export REPACK_SH=$(CURDIR)/debian/repack.sh
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-CONFIGURE_FLAGS = --enable-debug --with-jack
+CONFIGURE_FLAGS = --enable-debug --with-jack --with-pulse
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export CFLAGS += -O0

## rtaudio 4.0.12~ds0

=== debian/changelog ===
rtaudio (4.0.12~ds0-1ubuntu1) trusty; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 22 Dec 2013 17:40:33 -0500

rtaudio (4.0.12~ds0-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Refresh patches.
  * Drop 0003-ppc64_support.patchm, applied upstream.
  * Fix VCS canonical URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:31:35 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,11 @@
  dh-autoreconf,
  libasound2-dev,
  libjack-dev,
- libpulse-dev
-Standards-Version: 3.9.3
+ libpulse-dev,
+ autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://www.music.mcgill.ca/~gary/rtaudio/
-Vcs-Git: git://git.debian.org/pkg-multimedia/rtaudio.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtaudio.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtaudio.git
 
 Package: librtaudio4

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel --with autoreconf,autotools_dev
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/~ds.*// \
http://www.music.mcgill.ca/~gary/rtaudio/release/rtaudio-(.*)\.tar\.gz \
	debian sh debian/repack.stub

## rtaudio 4.1.1~ds0

=== debian/changelog ===
rtaudio (4.1.1~ds0-2) unstable; urgency=medium

  * Team upload

  [ Jaromír Mikeš ]
  * Build with autotools-dev. (Closes: #751097)

  [ Felipe Sateler ]
  * Bump SONAME due to ABI break. Closes: #751069

 -- Felipe Sateler <fsateler@debian.org>  Tue, 10 Jun 2014 10:20:39 -0400

rtaudio (4.1.1~ds0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release:
    - updates to WASAPI API for MinGW compiling
    - WASAPI bug fixes for audio INPUT mode
    - DirectSound bug fix for INPUT mode
    - Bug fixes in Core, Jack, ASIO and DS for internal draining
      in INPUT mode
    - updates to test programs for default device specifiers
    - CMake buildfile update for WASAPI
    - new setStreamTime function
  * Improve repackaging mechanism.
  * Bump debhelper build-dep.
  * Refresh patches.
  * Drop 0002-rtaudio_config.patch, adopted upstream.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 May 2014 22:24:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: rtaudio
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 8.1.3~),
+ debhelper (>= 9~),
  dh-autoreconf,
+ autotools-dev,
  libasound2-dev,
  libjack-dev,
- libpulse-dev,
- autotools-dev
-Standards-Version: 3.9.4
+ libpulse-dev
+Standards-Version: 3.9.5
 Homepage: http://www.music.mcgill.ca/~gary/rtaudio/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtaudio.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtaudio.git
 
-Package: librtaudio4
+Package: librtaudio5
 Architecture: linux-any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -57,7 +58,7 @@
 Depends:
  libasound2-dev,
  libjack-dev,
- librtaudio4 (= ${binary:Version}),
+ librtaudio5 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -77,7 +78,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends:
- librtaudio4 (= ${binary:Version}),
+ librtaudio5 (= ${binary:Version}),
  ${misc:Depends}
 Description: C++ library for realtime audio input/ouput (debugging symbols)
  RtAudio is a set of C++ classes that provides a common API (Application

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf,autotools_dev
+	dh $@ --parallel --with autoreconf,autotools-dev
 
 override_dh_auto_clean:
 	dh_auto_clean

## rtaudio 4.1.2~ds0

=== CMakeLists.txt ===
--- 
+++ 
@@ -54,7 +54,7 @@
         if (NOT ALSA_FOUND)
             message(FATAL_ERROR "ALSA API requested but no ALSA dev libraries found")
         endif()
-        add_defines(${ALSA_INCLUDE_DIR})
+        include_directories(${ALSA_INCLUDE_DIR})
         list(APPEND LINKLIBS ${ALSA_LIBRARY} ${CMAKE_THREAD_LIBS_INIT})
         add_definitions(-D__LINUX_ALSA__)
         message(STATUS "Using Linux ALSA")
@@ -114,6 +114,7 @@
     endif (AUDIO_WINDOWS_ASIO)
 endif (WIN32)
 
+cmake_policy(SET CMP0042 OLD)
 add_library(rtaudio SHARED ${rtaudio_SOURCES})
 add_library(rtaudio_static STATIC ${rtaudio_SOURCES})

=== debian/changelog ===
rtaudio (4.1.2~ds0-4) unstable; urgency=medium

  * Add libpulse-dev to deps of -dev package. (Closes: #833271)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Aug 2016 13:37:39 +0200

rtaudio (4.1.2~ds0-3) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Upload to unstable.
  * Tune .gitignore file.

  [ mira ]

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 01 Aug 2016 19:19:01 +0200

rtaudio (4.1.2~ds0-2) experimental; urgency=medium

  * Not install rtaudio-config file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 27 Jun 2016 14:51:40 +0200

rtaudio (4.1.2~ds0-1) experimental; urgency=medium

  * Imported Upstream version 4.1.2~ds0
  * Bump Standards.
  * Fix VCS fields.
  * Remove patches - not apply anymore.
  * Add patch to not install doc images.
  * Add patch comment out unused function.
  * Disable install override.
  * Bump soname.
  * Fix hardening.
  * Install pkg-config.
  * Install release.txt file as upstream changelog.
  * Fix pkg-config-bad-directive.
  * Rename package to librtaudio5a and add Conflicts for librtaudio5.
  * Add source.lintian-overrides file.
  * Droping dbg package.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 17 Jun 2016 19:37:01 +0200

rtaudio (4.1.1~ds0-4) unstable; urgency=medium

  * Team upload
  * Remove myself from the Uploaders list

 -- Alessio Treglia <alessio@debian.org>  Wed, 17 Feb 2016 16:58:48 +0000

rtaudio (4.1.1~ds0-3) unstable; urgency=medium

  * Team upload.
  * Rename librtaudio5v5 for GCC 5 transition.
  * debian/control: Bump Standards-Version.
  * debian/patches/0001-buildsystem.patch: Honor LDFLAGS.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Aug 2015 00:53:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9~),
@@ -11,13 +10,14 @@
  autotools-dev,
  libasound2-dev,
  libjack-dev,
- libpulse-dev
-Standards-Version: 3.9.5
+ libpulse-dev,
+ g++ (>= 4:5.2)
+Standards-Version: 3.9.8
 Homepage: http://www.music.mcgill.ca/~gary/rtaudio/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/rtaudio.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/rtaudio.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rtaudio.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/rtaudio.git
 
-Package: librtaudio5
+Package: librtaudio5a
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends:
@@ -25,6 +25,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Conflicts:
+ librtaudio5
 Description: C++ library for realtime audio input/ouput
  RtAudio is a set of C++ classes that provides a common API (Application
  Programming Interface) for realtime audio input/output across Linux
@@ -58,7 +60,8 @@
 Depends:
  libasound2-dev,
  libjack-dev,
- librtaudio5 (= ${binary:Version}),
+ libpulse-dev,
+ librtaudio5a (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
@@ -71,20 +74,3 @@
  simplifies the process of interacting with computer audio hardware.
  .
  This package provides the development files.
-
-Package: librtaudio-dbg
-Section: debug
-Priority: extra
-Architecture: linux-any
-Multi-Arch: same
-Depends:
- librtaudio5 (= ${binary:Version}),
- ${misc:Depends}
-Description: C++ library for realtime audio input/ouput (debugging symbols)
- RtAudio is a set of C++ classes that provides a common API (Application
- Programming Interface) for realtime audio input/output across Linux
- (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
- (DirectSound and ASIO) operating systems. RtAudio significantly
- simplifies the process of interacting with computer audio hardware.
- .
- This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~ds0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CONFIGURE_FLAGS = --enable-debug --with-jack --with-pulse

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS += -O0
else
export CFLAGS += -O2
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_FLAGS += --with-alsa
else
CONFIGURE_FLAGS += --with-oss
endif

%:
	dh $@ --parallel --with autoreconf,autotools-dev

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html doc/images

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_installchangelogs:
	dh_installchangelogs doc/release.txt

# get-orig-source to drop doc and win files
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	tar -xf $(pkg)_$(upstream_version).orig.tar.gz
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	rm -fR $(pkg)-$(dfsg_version)/configure/
	rm -fR $(pkg)-$(dfsg_version)/autom4te.cache/
	rm -fR $(pkg)-$(dfsg_version)/contrib/
	rm -fR $(pkg)-$(dfsg_version)/doc/html/
	rm -fR $(pkg)-$(dfsg_version)/doc/images/
	rm -fR $(pkg)-$(dfsg_version)/include/
	rm -fR $(pkg)-$(dfsg_version)/tests/Windows/
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
	xz -zf $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)
	rm -rf $(pkg)_$(upstream_version).orig.tar.gz
	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz

=== debian/watch ===
version=3
opts=dversionmangle=s/~ds.*// \
http://www.music.mcgill.ca/~gary/rtaudio/release/rtaudio-(.*)\.tar\.gz

## rtaudio 5.0.0~ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,8 @@
     if (AUDIO_LINUX_PULSE)
         find_library(PULSE_LIB pulse)
         find_library(PULSESIMPLE_LIB pulse-simple)
-        list(APPEND LINKLIBS ${PULSE_LIB} ${PULSESIMPLE_LIB})
+        find_package(Threads REQUIRED CMAKE_THREAD_PREFER_PTHREAD)
+        list(APPEND LINKLIBS ${PULSE_LIB} ${PULSESIMPLE_LIB} ${CMAKE_THREAD_LIBS_INIT})
         add_definitions(-D__LINUX_PULSE__)
         message(STATUS "Using Linux PulseAudio")
     endif (AUDIO_LINUX_PULSE)
@@ -124,3 +125,15 @@
     add_subdirectory(tests)
 endif (BUILD_TESTING)
 
+install(TARGETS rtaudio
+      LIBRARY DESTINATION lib
+      ARCHIVE DESTINATION lib
+      RUNTIME DESTINATION bin)
+
+install(
+    FILES RtAudio.h
+    DESTINATION include)
+
+install(
+    FILES rtaudio.pc
+    DESTINATION lib/pkgconfig)

=== tests/CMakeLists.txt ===
include_directories(..)
if (WIN32)
    include_directories(../include)
endif (WIN32)

add_executable(audioprobe audioprobe.cpp)
target_link_libraries(audioprobe rtaudio_static ${LINKLIBS})

add_executable(playsaw playsaw.cpp)
target_link_libraries(playsaw rtaudio_static ${LINKLIBS})

add_executable(playraw playraw.cpp)
target_link_libraries(playraw rtaudio_static ${LINKLIBS})

add_executable(record record.cpp)
target_link_libraries(record rtaudio_static ${LINKLIBS})

add_executable(duplex duplex.cpp)
target_link_libraries(duplex rtaudio_static ${LINKLIBS})

add_executable(testall testall.cpp)
target_link_libraries(testall rtaudio_static ${LINKLIBS})

add_executable(teststops teststops.cpp)
target_link_libraries(teststops rtaudio_static ${LINKLIBS})

=== debian/changelog ===
rtaudio (5.0.0~ds-2) unstable; urgency=medium

  * Release to unstable.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 24 Oct 2017 05:09:27 +0200

rtaudio (5.0.0~ds-1~exp2) experimental; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Removed patch that was erroneously removing a used function.
  * Patch to enable kFreeBSD/Hurd builds (Closes: #824114)
    * Drop "linux-any" from arch-specifier
  * Refreshed remaining patches
  * Make doc-package depend on libjs-query
    * Use .links file rather than creating them manually
  * Updated Files-Excluded to only exclude non-DFSG-free files
  * Added myself to copyright holders
  * Switched d/watch to github

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 24 Oct 2017 05:02:13 +0200

rtaudio (5.0.0~ds-1~exp1) experimental; urgency=medium

  * New upstream version 5.0.0~ds

  [ Jaromír Mikeš ]
  * Refresh patches
  * Add patch to prevent privacy-breach in generated doc.
  * Bump soname.
  * Introduce librtaudio-doc package.
  * Remove unknown variable from -dev package.
  * Install readme file also in librtaudio package.
  * Use File-Excluded in d/copyright for repacking
  * Update copyright file.
  * Introduce postclone.sh script for ease of packaging
  * Set compat/dh 10.
  * Bump Standards to 4.1.1

  [ IOhannes m zmölnig ]
  * Modernize Vcs-* stanza
  * Drop unneeded Conflicts against librtaudio5
  * Add myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 09 Oct 2017 15:38:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,30 +3,29 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
- dh-autoreconf,
- autotools-dev,
+ debhelper (>= 10~),
+ g++ (>= 4:5.2),
  libasound2-dev,
  libjack-dev,
  libpulse-dev,
- g++ (>= 4:5.2)
-Standards-Version: 3.9.8
+Build-Depends-Indep:
+ doxygen,
+Standards-Version: 4.1.1
 Homepage: http://www.music.mcgill.ca/~gary/rtaudio/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rtaudio.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/rtaudio.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/rtaudio.git
 
-Package: librtaudio5a
-Architecture: linux-any
+Package: librtaudio6
+Architecture: any
 Multi-Arch: same
 Pre-Depends:
- ${misc:Pre-Depends}
+ ${misc:Pre-Depends},
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
-Conflicts:
- librtaudio5
+ ${shlibs:Depends},
 Description: C++ library for realtime audio input/ouput
  RtAudio is a set of C++ classes that provides a common API (Application
  Programming Interface) for realtime audio input/output across Linux
@@ -55,17 +54,16 @@
 
 Package: librtaudio-dev
 Section: libdevel
-Architecture: linux-any
+Architecture: any
 Multi-Arch: same
 Depends:
  libasound2-dev,
  libjack-dev,
  libpulse-dev,
- librtaudio5a (= ${binary:Version}),
+ librtaudio6 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends}
 Suggests:
- librtmidi-dev
+ librtmidi-dev,
 Description: C++ library for realtime audio input/ouput (development files)
  RtAudio is a set of C++ classes that provides a common API (Application
  Programming Interface) for realtime audio input/output across Linux
@@ -74,3 +72,19 @@
  simplifies the process of interacting with computer audio hardware.
  .
  This package provides the development files.
+
+Package: librtaudio-doc
+Architecture: all
+Section: doc
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ libjs-jquery,
+Description: C++ library for realtime audio input/ouput (documentation files)
+ RtAudio is a set of C++ classes that provides a common API (Application
+ Programming Interface) for realtime audio input/output across Linux
+ (native ALSA, JACK, and OSS), Macintosh OS X, SGI, and Windows
+ (DirectSound and ASIO) operating systems. RtAudio significantly
+ simplifies the process of interacting with computer audio hardware.
+ .
+ This package provides the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CONFIGURE_FLAGS = --enable-debug --with-jack --with-pulse

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS += -O0
else
export CFLAGS += -O2
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_FLAGS += --with-alsa
else
CONFIGURE_FLAGS += --with-oss
endif

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/html doc/images

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_auto_install:
	rm -f doc/html/jquery.js
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs doc/release.txt

=== debian/watch ===
# See uscan
# Compulsory line, this is a version 4 file
version=4

opts="dversionmangle=s/[~+](dfsg|repack|ds)([.]?[0-9]*)?$//,repacksuffix=~ds1,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rtaudio-$1.tar.gz%" \
   https://github.com/thestk/rtaudio/tags \
   (?:.*?/)?v(\d[\d.]*)\.tar\.gz debian uupdate

## rtaudio 5.1.0~ds1

=== CMakeLists.txt ===
# Set minimum CMake required version for this project.
cmake_minimum_required(VERSION 3.10 FATAL_ERROR)

# Define a C++ project.
project(RtAudio LANGUAGES CXX)

# Check for Jack (any OS)
find_library(JACK_LIB jack)
find_package(PkgConfig)
pkg_check_modules(jack jack)
if(JACK_LIB OR jack_FOUND)
  set(HAVE_JACK TRUE)
endif()

# Check for Pulse (any OS)
pkg_check_modules(pulse libpulse-simple)

# Check for known non-Linux unix-likes
if (CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*")
  message(STATUS "NetBSD detected, using OSS")
  set(xBSD ON)
elseif(UNIX AND NOT APPLE)
  set(LINUX ON)
endif()

# Necessary for Windows
if(MINGW)
  set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
endif()

# Standard CMake options
option(BUILD_SHARED_LIBS "Build as shared library" ON)

if (NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug;Release;RelWithDebInfo;MinSizeRel")
endif()
if(WINDOWS)
  set(CMAKE_DEBUG_POSTFIX d CACHE STRING "Postfix for debug version of library")
endif()

# Build Options
option(RTAUDIO_BUILD_PYTHON "Build PyRtAudio python bindings" OFF)
set(RTAUDIO_TARGETNAME_UNINSTALL "uninstall" CACHE STRING "Name of 'uninstall' build target")

# API Options
option(RTAUDIO_API_DS "Build DirectSound API" OFF)
option(RTAUDIO_API_ASIO "Build ASIO API" OFF)
option(RTAUDIO_API_WASAPI "Build WASAPI API" ${WIN32})
option(RTAUDIO_API_OSS "Build OSS4 API" ${xBSD})
option(RTAUDIO_API_ALSA "Build ALSA API" ${LINUX})
option(RTAUDIO_API_PULSE "Build PulseAudio API" ${pulse_FOUND})
option(RTAUDIO_API_JACK "Build JACK audio server API" ${HAVE_JACK})
option(RTAUDIO_API_CORE "Build CoreAudio API" ${APPLE})

# Check for functions
include(CheckFunctionExists)
check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
if (HAVE_GETTIMEOFDAY)
    add_definitions(-DHAVE_GETTIMEOFDAY)
endif ()

# Add -Wall if possible
if (CMAKE_COMPILER_IS_GNUCXX)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
endif (CMAKE_COMPILER_IS_GNUCXX)

# Add debug flags
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  add_definitions(-D__RTAUDIO_DEBUG__)
  if (CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
  endif (CMAKE_COMPILER_IS_GNUCXX)
endif ()

# Read libtool version info from configure.ac
set(R "m4_define\\(\\[lt_([a-z]+)\\], ([0-9]+)\\)")
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/configure.ac" CONFIGAC
  REGEX ${R})
foreach(_S ${CONFIGAC})
  string(REGEX REPLACE ${R} "\\1" k ${_S})
  string(REGEX REPLACE ${R} "\\2" v ${_S})
  set(SO_${k} ${v})
endforeach()
math(EXPR SO_current_minus_age "${SO_current} - ${SO_age}")
set(SO_VER "${SO_current_minus_age}")
set(FULL_VER "${SO_current_minus_age}.${SO_revision}.${SO_age}")

# Read package version info from configure.ac
set(R "AC_INIT\\(RtAudio, ([0-9\\.]+),.*\\)")
file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/configure.ac" CONFIGAC
  REGEX ${R})
string(REGEX REPLACE ${R} "\\1" PACKAGE_VERSION ${CONFIGAC})

# Init variables
set(rtaudio_SOURCES RtAudio.cpp RtAudio.h rtaudio_c.cpp rtaudio_c.h)
set(LINKLIBS)
set(PKGCONFIG_REQUIRES)
set(API_DEFS)
set(API_LIST)

# Tweak API-specific configuration.

# Jack
if (RTAUDIO_API_JACK AND jack_FOUND)
  set(NEED_PTHREAD ON)
  list(APPEND PKGCONFIG_REQUIRES "jack")
  list(APPEND API_DEFS "-D__UNIX_JACK__")
  list(APPEND API_LIST "jack")
  if(jack_FOUND)
    list(APPEND LINKLIBS ${jack_LIBRARIES})
    list(APPEND INCDIRS ${jack_INCLUDEDIR})
  else()
    list(APPEND LINKLIBS ${JACK_LIB})
  endif()
endif()

# ALSA
if (RTAUDIO_API_ALSA)
  set(NEED_PTHREAD ON)
  find_package(ALSA)
  if (NOT ALSA_FOUND)
    message(FATAL_ERROR "ALSA API requested but no ALSA dev libraries found")
  endif()
  list(APPEND INCDIRS ${ALSA_INCLUDE_DIR})
  list(APPEND LINKLIBS ${ALSA_LIBRARY})
  list(APPEND PKGCONFIG_REQUIRES "alsa")
  list(APPEND API_DEFS "-D__LINUX_ALSA__")
  list(APPEND API_LIST "alsa")
endif()

# OSS
if (RTAUDIO_OSS)
  set(NEED_PTHREAD ON)
  find_library(OSSAUDIO_LIB ossaudio)
  if (OSSAUDIO_LIB)
    list(APPEND LINKLIBS ossaudio)
    # Note: not an error on some systems
  endif()
  list(APPEND API_DEFS "-D__LINUX_OSS__")
  list(APPEND API_LIST "oss")
endif()

# Pulse
if (RTAUDIO_API_PULSE)
  set(NEED_PTHREAD ON)
  find_library(PULSE_LIB pulse)
  find_library(PULSESIMPLE_LIB pulse-simple)
  list(APPEND LINKLIBS ${PULSE_LIB} ${PULSESIMPLE_LIB})
  list(APPEND PKGCONFIG_REQUIRES "libpulse-simple")
  list(APPEND API_DEFS "-D__LINUX_PULSE__")
  list(APPEND API_LIST "pulse")
endif()

# CoreAudio
if (RTAUDIO_API_CORE)
  find_library(COREAUDIO_LIB CoreAudio)
  find_library(COREFOUNDATION_LIB CoreFoundation)
  list(APPEND LINKLIBS ${COREAUDIO_LIB} ${COREFOUNDATION_LIB})
  list(APPEND API_DEFS "-D__MACOSX_CORE__")
  list(APPEND API_LIST "core")
endif()

# ASIO
if (RTAUDIO_API_ASIO)
  set(NEED_WIN32LIBS ON)
  include_directories(include)
  list(APPEND rtaudio_SOURCES
    include/asio.cpp
    include/asiodrivers.cpp
    include/asiolist.cpp
    include/iasiothiscallresolver.cpp)
  list(APPEND API_DEFS "-D__WINDOWS_ASIO__")
  list(APPEND API_LIST "asio")
endif()

# DSound
if (RTAUDIO_API_DS)
  set(NEED_WIN32LIBS ON)
  list(APPEND LINKLIBS dsound)
  list(APPEND API_DEFS "-D__WINDOWS_DS__")
  list(APPEND API_LIST "ds")
endif()

# WASAPI
if (RTAUDIO_API_WASAPI)
  include_directories(include)
  set(NEED_WIN32LIBS ON)
  list(APPEND LINKLIBS ksuser mfplat mfuuid wmcodecdspuuid)
  list(APPEND API_DEFS "-D__WINDOWS_WASAPI__")
  list(APPEND API_LIST "wasapi")
endif()

# Windows libs
if (NEED_WIN32LIBS)
  list(APPEND LINKLIBS winmm ole32)
endif()

# pthread
if (NEED_PTHREAD)
  find_package(Threads REQUIRED
    CMAKE_THREAD_PREFER_PTHREAD
    THREADS_PREFER_PTHREAD_FLAG)
  list(APPEND LINKLIBS Threads::Threads)
endif()

# Create library targets.
cmake_policy(SET CMP0042 OLD)
set(LIB_TARGETS)

# Use RTAUDIO_BUILD_SHARED_LIBS / RTAUDIO_BUILD_STATIC_LIBS if they
# are defined, otherwise default to standard BUILD_SHARED_LIBS.
if (DEFINED RTAUDIO_BUILD_SHARED_LIBS)
  if (RTAUDIO_BUILD_SHARED_LIBS)
    add_library(rtaudio SHARED ${rtaudio_SOURCES})
  else()
    add_library(rtaudio STATIC ${rtaudio_SOURCES})
  endif()
elseif (DEFINED RTAUDIO_BUILD_STATIC_LIBS)
  if (RTAUDIO_BUILD_STATIC_LIBS)
    add_library(rtaudio STATIC ${rtaudio_SOURCES})
  else()
    add_library(rtaudio SHARED ${rtaudio_SOURCES})
  endif()
else()
  add_library(rtaudio ${rtaudio_SOURCES})
endif()
list(APPEND LIB_TARGETS rtaudio)

# Add headers destination for install rule.
set_target_properties(rtaudio PROPERTIES PUBLIC_HEADER RtAudio.h
  SOVERSION ${SO_VER}
  VERSION ${FULL_VER})

# Set include paths, populate target interface.
target_include_directories(rtaudio PRIVATE
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
  ${INCDIRS})

# Set compile-time definitions
target_compile_definitions(rtaudio PRIVATE ${API_DEFS})
target_compile_definitions(rtaudio PRIVATE RTAUDIO_EXPORT)
target_link_libraries(rtaudio ${LINKLIBS})


# Set standard installation directories.
include(GNUInstallDirs)

# Subdirs
include(CTest)

if (NOT DEFINED RTAUDIO_BUILD_TESTING OR RTAUDIO_BUILD_TESTING STREQUAL "")
  set(RTAUDIO_BUILD_TESTING ${BUILD_TESTING})
endif()
if (RTAUDIO_BUILD_TESTING)
  add_subdirectory(tests)
endif()

# Message
string(REPLACE ";" " " apilist "${API_LIST}")
message(STATUS "Compiling with support for: ${apilist}")

# PkgConfig file
string(REPLACE ";" " " req "${PKGCONFIG_REQUIRES}")
string(REPLACE ";" " " api "${API_DEFS}")
set(prefix ${CMAKE_INSTALL_PREFIX})
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/rtaudio.pc.in" "rtaudio.pc" @ONLY)

# Add install rule.
install(TARGETS ${LIB_TARGETS}
        EXPORT RtAudioTargets
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

# Store the package in the user registry.
export(PACKAGE RtAudio)

# Set installation path for CMake files.
set(RTAUDIO_CMAKE_DESTINATION share/rtaudio)

# Create CMake configuration export file.
if(NEED_PTHREAD)
  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfig.cmake "find_package(Threads REQUIRED)\n")
endif()

file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfig.cmake "include(\${CMAKE_CURRENT_LIST_DIR}/RtAudioTargets.cmake)")

# Install CMake configuration export file.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfig.cmake
        DESTINATION ${RTAUDIO_CMAKE_DESTINATION})

# Export library target (build-tree).
export(EXPORT RtAudioTargets
       NAMESPACE RtAudio::)

# Export library target (install-tree).
install(EXPORT RtAudioTargets
        DESTINATION ${RTAUDIO_CMAKE_DESTINATION}
        NAMESPACE RtAudio::)

# Configure uninstall target.
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/RtAudioConfigUninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfigUninstall.cmake" @ONLY)

# Create uninstall target.
add_custom_target(${RTAUDIO_TARGETNAME_UNINSTALL}
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/RtAudioConfigUninstall.cmake)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/rtaudio.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== tests/CMakeLists.txt ===
include_directories(..)
if (WIN32)
    include_directories(../include)
endif (WIN32)

list(GET LIB_TARGETS 0 LIBRTAUDIO)

add_executable(audioprobe audioprobe.cpp)
target_link_libraries(audioprobe ${LIBRTAUDIO} ${LINKLIBS})

add_executable(playsaw playsaw.cpp)
target_link_libraries(playsaw ${LIBRTAUDIO} ${LINKLIBS})

add_executable(playraw playraw.cpp)
target_link_libraries(playraw ${LIBRTAUDIO} ${LINKLIBS})

add_executable(record record.cpp)
target_link_libraries(record ${LIBRTAUDIO} ${LINKLIBS})

add_executable(duplex duplex.cpp)
target_link_libraries(duplex ${LIBRTAUDIO} ${LINKLIBS})

add_executable(apinames apinames.cpp)
target_link_libraries(apinames ${LIBRTAUDIO} ${LINKLIBS})

add_executable(testall testall.cpp)
target_link_libraries(testall ${LIBRTAUDIO} ${LINKLIBS})

add_executable(teststops teststops.cpp)
target_link_libraries(teststops ${LIBRTAUDIO} ${LINKLIBS})

add_test(NAME apinames COMMAND apinames)

=== debian/changelog ===
rtaudio (5.1.0~ds1-1) UNRELEASED; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Wed, 25 May 2022 10:59:13 +0800

rtaudio (5.1.0~ds1-1) unstable; urgency=medium

  * New upstream version 5.1.0~ds1

  [ IOhannes m zmölnig ]
  * Refresh d/patches and remove those applied upstream
  * Install README.md
  * Fix d/watch
  * Bump dh-compat to 12
  * Bump standards-version to 4.5.1

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Rely on pre-initialized dpkg-architecture variables.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 02 Apr 2020 09:16:37 +0200

rtaudio (5.0.0~ds-3) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Patch forwarded.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ IOhannes m zmölnig ]
  * Disable 'debug'-mode when building (Closes: #891709)
  * Use https:// for upstream homepage
  * Declare that building the package does not require "root"
  * Bumped dh compat to 11
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Dec 2018 20:34:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: rtaudio
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  g++ (>= 4:5.2),
  libasound2-dev,
  libjack-dev,
  libpulse-dev,
 Build-Depends-Indep:
  doxygen,
-Standards-Version: 4.1.1
-Homepage: http://www.music.mcgill.ca/~gary/rtaudio/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/rtaudio.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/rtaudio.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.music.mcgill.ca/~gary/rtaudio/
+Vcs-Git: https://salsa.debian.org/multimedia-team/rtaudio.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/rtaudio
 
 Package: librtaudio6
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-CONFIGURE_FLAGS = --enable-debug --with-jack --with-pulse
+include /usr/share/dpkg/architecture.mk
+CONFIGURE_FLAGS = --with-jack --with-pulse
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export CFLAGS += -O0
